Package org.eclipse.net4j.util.container

## Class ContainerPersistence<E>

- java.lang.Object
- - org.eclipse.net4j.util.container.ContainerPersistence<E>

- All Implemented Interfaces:
    `IContainer.Persistence<E>`
  Direct Known Subclasses:
    `FileContainerPersistence`

      public abstract class ContainerPersistence<E>
      extends java.lang.Object
      implements IContainer.Persistence<E>

  Since:
    3.5
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContainerPersistence()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Collection<E>` | `loadElements()` |
    `protected abstract java.io.InputStream` | `openInputStream()` |
    `protected abstract java.io.OutputStream` | `openOutputStream()` |
    `void` | `saveElements​(java.util.Collection<E> elements)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerPersistence

          public ContainerPersistence()

  - ### Method Detail

    - #### loadElements

          public java.util.Collection<E> loadElements()
                                               throws IORuntimeException

      Specified by:
        `loadElements` in interface `IContainer.Persistence<E>`
      Throws:
        `IORuntimeException`

    - #### saveElements

          public void saveElements​(java.util.Collection<E> elements)
                            throws IORuntimeException

      Specified by:
        `saveElements` in interface `IContainer.Persistence<E>`
      Throws:
        `IORuntimeException`

    - #### openInputStream

          protected abstract java.io.InputStream openInputStream()
                                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### openOutputStream

          protected abstract java.io.OutputStream openOutputStream()
                                                            throws java.io.IOException

      Throws:
        `java.io.IOException`